Package org.jbpm.process.core.timer.impl

## Class GlobalTimerService.GlobalJobHandle

- java.lang.Object
- - org.drools.core.time.impl.AbstractJobHandle
  - - org.drools.core.time.impl.DefaultJobHandle
    - - org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle

- All Implemented Interfaces:
    `Serializable`, `org.drools.core.time.JobHandle`, `org.drools.core.util.Entry<org.drools.core.time.JobHandle>`, `org.drools.core.util.LinkedListNode<org.drools.core.time.JobHandle>`
  Direct Known Subclasses:
    `QuartzSchedulerService.GlobalQuartzJobHandle`, `ThreadPoolSchedulerService.GlobalJDKJobHandle`
  Enclosing class:
    GlobalTimerService

      public static class GlobalTimerService.GlobalJobHandle
      extends org.drools.core.time.impl.DefaultJobHandle
      implements org.drools.core.time.JobHandle

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalJobHandle​(long id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getSessionId()` |
    `long` | `getTimerId()` |
    `String` | `getUuid()` |

    - ### Methods inherited from class org.drools.core.time.impl.DefaultJobHandle

      `equals, getId, getJob, getTimerJobInstance, hashCode, isCancel, setCancel, setTimerJobInstance, toString`

    - ### Methods inherited from class org.drools.core.time.impl.AbstractJobHandle

      `getNext, getPrevious, nullPrevNext, setNext, setPrevious`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.util.Entry

      `getNext, setNext`

    - ### Methods inherited from interface org.drools.core.time.JobHandle

      `getId, isCancel, setCancel`

    - ### Methods inherited from interface org.drools.core.util.LinkedListNode

      `getPrevious, nullPrevNext, setPrevious`

- - ### Constructor Detail

    - #### GlobalJobHandle

          public GlobalJobHandle​(long id)

  - ### Method Detail

    - #### getTimerId

          public long getTimerId()

    - #### getSessionId

          public long getSessionId()

    - #### getUuid

          public String getUuid()